<?php
 
session_start();
$com = "E";
include("DMMYSQLG.php");
include("DSA3000.php");
include("DMMYSQLG.php");
?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<body>

<?php

$sqx = mysqli_query($con ,"select * from dgrequid WHERE cons_ven = '".$_POST['bot']."'");
$rex = mysqli_fetch_array($sqx);

$sql = mysqli_query($con ,"select * from dgrequid WHERE cons_ven = '".$_POST['bot']."'");

while($reg = mysqli_fetch_array($sql)){

	/******************SE Elimina requisicion de dpmaterial_con******************/
	$sq_material_con=mysqli_query($con ,"SELECT * FROM dpmaterial_con where tip_requ='S' and noreg_requ='".$_POST['bot']."'");
	while($dt_material_con=mysqli_fetch_array($sq_material_con)){
		$rs=mysqli_query($con ,"update dpaltaorden set total_costo=total_costo-'".$dt_material_con['total']."' where no_reg='".$dt_material_con['cve_ord']."'");
	}	
	$rs=mysqli_query($con ,"DELETE FROM dpmaterial_con where tip_requ='S' and noreg_requ='".$_POST['bot']."'");
	/*************************************************************************/
	@$result = mysqli_query($con ,"SELECT * FROM dgrequid WHERE fol_ven1 = '".$reg['fol_ven1']."'");
	while(@$dato = mysqli_fetch_array ($result))
	{ 
		for ($i=0;$i<=19;$i++){
			$datos[]=$dato[$i];
		}
	}
	//echo 'parte: '.$reg['nparte1'].'<br>';
	//echo 'alamcen: '.$reg['almacen'].'<br>';
	//exit();
	//buscar la existencia de farticulos
	@$result = mysqli_query($con ,"SELECT * FROM farticulos WHERE  nparte1 = '".$reg['nparte1']."'");
	while(@$dato = mysqli_fetch_array ($result))
	{ 
		$ex1=$dato['t5'];
		$ex2=$dato['exi_fis'];
	}
	$ex1 = $ex1 + $datos[4];
	$ex2 = $ex2 + $datos[4];
	//hacer la modificacion en farticulos
	//echo $reg['fol_ven1'];
	//echo $ex1;
	//echo $ex2;
	//exit();
	$sqlu="UPDATE farticulos SET exi_fis = '$ex1', t5 = '$ex1' WHERE nparte1 = '".$reg['nparte1']."'";
	if (!mysqli_query($con ,$sqlu))
	{
		die('Error1: ' . mysqli_error($con));
		exit();
	 }
	 //exit();
	//--------------------------------------------------->
	//buscar la existencia de dginvalm
	@$result = mysqli_query($con ,"SELECT * FROM dginvalm WHERE nparte1 = '".$reg['nparte1']."' and almacen = '".$reg['almacen']."'");
	while(@$dato = mysqli_fetch_array ($result))
	{ 
		$ex1=$dato[3];
		$ex2=$dato[4];
	}
	$ex1 = $ex1 + $datos[4];
	$ex2 = $ex2 + $datos[4];
	//hacer la modificacion en farticulos
	$sqlu="UPDATE dginvalm SET exi_fis_alm = $ex1, can_dis_alm = $ex1 WHERE nparte1 = '".$reg['nparte1']."' and almacen = '".$reg['almacen']."'";
	if (!mysqli_query($con ,$sqlu))
	{
		die('Error2: ' . mysqli_error($con));
		exit();
	 }
	//---------------------------------------------------->
	//Eliminar del cardex
	//echo "Numero de dgrequid: ".$_POST['nu_re'].'<br>';
	//echo "Numero de parte: ".$reg['fol_ven1'].'<br>';
	$sqld="DELETE FROM dgcardex WHERE nparte1 = '".$reg['nparte1']."' and fol_recep = '".$reg['cons_ven']."'";
if (!mysqli_query($con ,$sqld)){
	  	die('Error3: ' . mysqli_error($con));
	 } 
	 @$result = mysqli_query($con ,"SELECT * FROM dginvacu WHERE nparte1 = '".$reg['nparte1']."' order by axo asc, mes asc");
	@$num_salidas=mysqli_num_rows($result); 
	//si no estaba ese articulo en el acumulado entonces
	if($num_salidas==0)
	{
		//generar un nuevo registro de compra existencia inicial, final y la compra
		echo 'Este articulo no se encuentra en el acumulado favor de Agregarlo';
	}else{
		while($dato = mysqli_fetch_array ($result))
		{
			//sacar el ultimo año y mes
			$uaxo = $dato['axo'];
			$umes = $dato['mes'];
			$exfi = $dato['exi_fin'];
			$np  = $dato['nparte1'];
		}
		//echo "Año:" . $uaxo . "<br>";
		//echo "Mes:" . $umes . "<br>";
		//echo "Año actual: ". date("Y") . '<br>';
		//echo "Mes actual: ". date("m").'<br>';
		//echo "Producto: ". $np.'<br>';
		//si el año es anterior al actual aqui
		if (date("Y") > $uaxo)
		{
			//sacar la cantidad de meses por año de diferencia
			$difaxo = date("Y") - $uaxo;
			//si es solo un año de diferncia
			if($difaxo == 1)
			{
				$dif = 12 - $umes;
			}else{
				$dif = 12 - $umes;
				for($j=1;$j<=$difaxo-1;$j++)
				{
					$dif = $dif + 12;
				}
			}	
		//diferencia va ha ser igual a la diferencia de años anteriores + los meses actuales -1
			$dif = $dif + (date("m"));
		}else{
			//en todo caso verificar la diferencia de meses 
			$dif = date("m") - $umes;
		}
		//mandar datos a acumulados
		//echo "numero de meses transcurridos: " . $dif . '<br>';
		//si es del mismo mes
		if($dif==0){
			$a = date('Y');
			$m = date('m');
			//buscar datoa anteriores y sumarles los nuevos y reguardar los datos
			@$result = mysqli_query($con ,"SELECT * FROM dginvacu WHERE nparte1 = '".$reg['nparte1']."' and axo = '$a' and mes = '$m'");
			while($dato = mysqli_fetch_array ($result))
			{
				//sacar datos
				$unpa = $dato['exi_ini'];
				$ucom = $dato['compras'];
				$udec = $dato['dev_com'];
				$uten = $dato['tra_ent'];
				$utsa = $dato['tra_sal'];
				$uder = $dato['ventas'];
				$udve = $dato['dev_ven'];
				$ureq = $dato['requi'];
				$uder = $dato['dev_requi'];
			}
			$ureq = $ureq - $datos[4];
			$ef = $unpa + $ucom - $udec + $uten - $utsa - $uven + $udve - $ureq + $uder;
			//mandar la ctualizacion
			$sqlu="UPDATE dginvacu set requi = $ureq , exi_fin = $ef WHERE nparte1 = '".$reg['nparte1']."' and axo ='$a' and mes = '$m'";
			if (!mysqli_query($con ,$sqlu)){
				die('Error 4: ' . mysqli_error($con));
			}
		}else{
			//elaborar registros por mes atrasado
			$t = $dif + 1;
			for($y=1;$y<=$dif;$y++)
			{
				$t = $t - 1;
				//conocer la fecha del ultimo mes registrado
				$fecha = date("m/d/Y",mktime(0,0,0,date("m")-$t,date("d"),date("Y")));
				$a = substr($fecha,6);
				//echo $fecha .'<br>';
				$m = substr($fecha,0,2);
				//echo $m;
				//buscar ese registro para sacar 
				
				@$result = mysqli_query($con ,"SELECT * FROM dginvacu WHERE nparte1 = '".$reg['nparte1']."' and axo = '$a' and mes = '$m'");
				while($dato = mysqli_fetch_array ($result))
				{
					$ef = $dato['exi_fin'];
				}
				//exit();
				$ei = $ef;
				//crear una nueva fecha
				$x = $t - 1;
				$fecha1 = date("m/d/Y",mktime(0,0,0,date("m")-$x,date("d"),date("Y")));
				$a1 = substr($fecha1,6);
				$m1 = substr($fecha1,0,2);
				//si es el ultimo mes entonces sumarle la nueva cantidad
				if ($a1 == date("Y") && $m1==date("m"))
				{
					$ef = $ca2 - $ei;
					$sqli="INSERT INTO dginvacu(nparte1,axo,mes,exi_ini,exi_fin,requi) VALUES('".$reg['nparte1']."' ,'$a1', '$m1', '$ei', '$ef', '$datos[4]')";	
					if (!mysqli_query($con ,$sqli))
					{
						die('Error 5: ' . mysqli_error($con));
					}
				}else{
					$sqli="INSERT INTO dginvacu(nparte1,axo,mes,exi_ini,exi_fin,requi) VALUES('".$reg['nparte1']."' ,'$a1', '$m1', '$ef', '$ef' , '$datos[4]')";	
					if (!mysqli_query($con ,$sqli))
					{
						die('Error 6: ' . mysqli_error($con));
					}		
				}
			}
		}
	}
	//----------------------------------------->
	//restar datos en dgrequie
	@$result = mysqli_query($con ,"SELECT * FROM dgrequie WHERE fol_ven = '".$_POST['tnum']."'");
	$dato = mysqli_fetch_array ($result);
	$su_to1=$dato['sub_ven'];
	$iv_to1=$dato['iva_ven'];
	$to_to1=$dato['tot_ven'];

	$su_to=$su_to1 - $datos[18];
	$iv_to=$iv_to1 - $datos[11];
	$to_to=$to_to1 - $datos[8];

	//agregar registro a la orden de actualizada
   $sqlu="UPDATE dgrequie SET paso = '1', sub_ven = '$su_to', iva_ven = '$iv_to', tot_ven = '$to_to' WHERE fol_ven = '".$_POST['tnum']."'";
	if (!mysqli_query($con ,$sqlu))
	{
		die('Error: ' . mysqli_error($con));
		exit();
	 }	 
	//Eliminar dgrequie
	$sqld="DELETE FROM dgrequid WHERE fol_ven1 = '".$reg['fol_ven1']."'";
	if (!mysqli_query($con ,$sqld)){
	  	die('Error3: ' . mysqli_error($con));
	 } 
	 


}
//borra los datso del dgreford
mysqli_query($con ,"update dgrequie set cancelado = 1, fec_can = '".date("Y-m-d")."' WHERE fol_ven = '".$_POST['bot']."'");
mysqli_close($con);
echo '<h2>SE ELIMINO EL REGISTRO</h2>';
echo '<meta content="1; url=AL10800_PR.php" HTTP-EQUIV="REFRESH">';
?>

</body>
</html>
